Subject: Re: bug#16577: Add regexp-based version of completion-ignored-extensions

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Feb 2022 17:20:54 +0100

Stefan Monnier <[email-masked]> writes:

>> I haven't looked at the various code snippets that use the resulting
>> regexps, but I imagine that some are matching on the full file name and
>> some aren't?
>
> I think the important case only has the nondirectory part of the file
> name at hand, which is why I propose for "/<RE>" to be defined as
> matching only on that part (with a terminating / if it's a directory).

Oh, so this wouldn't be a plain regexp, but a ... mini-language where
"/" has a special meaning?  I think that sounds pretty confusing.

> No, the "/" would look like it's matching the / of a full file name, but
> it would really be just a marker to indicate that the rest is a regexp
> (and where it's anchored) and the matching code would extract the regexp
> from it (and replace it with the equivalent of \\(?:\\`\\|/\\) as
> needed).

Hm.  I think it'd a more straightforward interface to just keep regexps
out of it all, but I see the attraction of having a regexp interface,
too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no